### Function

# Eog Debug message

#### Declaration [src]

    void
    eog_debug_message (
      EogDebug section,
      const gchar* file,
      gint line,
      const gchar* function,
      const gchar* format,
      ...
    )

#### Description

No description available.

This function is not directly available to language bindings.

#### Parameters

`section`

  Type: `EogDebug`

  No description available.

`file`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`line`

  Type: `gint`

  No description available.

`function`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`format`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  No description available.